// CkAuthAzureADU.h: interface for the CkAuthAzureADU class.
//
//////////////////////////////////////////////////////////////////////

// This header is generated for Chilkat 10.0.0

#ifndef _CkAuthAzureADU_H
#define _CkAuthAzureADU_H
	
#include "../../Cpp/include/chilkatDefs.h"

#include "../../Cpp/include/CkString.h"
#include "CkClassWithCallbacksU.h"

class CkTaskU;
class CkBaseProgressU;



#if !defined(__sun__) && !defined(__sun)
#pragma pack (push, 8)
#endif
 

// CLASS: CkAuthAzureADU
class CK_VISIBLE_PUBLIC CkAuthAzureADU  : public CkClassWithCallbacksU
{
	public:
	bool m_cbOwned;

	private:
	
	// Don't allow assignment or copying these objects.
	CkAuthAzureADU(const CkAuthAzureADU &);
	CkAuthAzureADU &operator=(const CkAuthAzureADU &);

    public:
	CkAuthAzureADU(void);
	virtual ~CkAuthAzureADU(void);

	

	static CkAuthAzureADU *createNew(void);
	

	CkAuthAzureADU(bool bCallbackOwned);
	static CkAuthAzureADU *createNew(bool bCallbackOwned);

	
	void CK_VISIBLE_PRIVATE inject(void *impl);

	// May be called when finished with the object to free/dispose of any
	// internal resources held by the object. 
	void dispose(void);

	CkBaseProgressU *get_EventCallbackObject(void) const;
	void put_EventCallbackObject(CkBaseProgressU *progress);


	// BEGIN PUBLIC INTERFACE

	// ----------------------
	// Properties
	// ----------------------


	// ----------------------
	// Methods
	// ----------------------
	// Loads the caller of the task's async method.
	bool LoadTaskCaller(CkTaskU &task);





	// END PUBLIC INTERFACE


};
#if !defined(__sun__) && !defined(__sun)
#pragma pack (pop)
#endif


	
#endif
